Get Profile Details

Retrieves the WhatsApp Business profile information for a specific partner application. The business profile contains public-facing information about your business including address, description, email, website, and industry vertical.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

ParametersValueDescription
Authorization{{PARTNER_APP_TOKEN}}Access Token for the application
appId{{APP_ID}}Unique Identifier for Gupshup App

Sample Request

curl --location --request GET 'https://partner.gupshup.io/partner/app/{{APP_ID}}/business/profile/' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}'

Sample Response

{
            "profile": {
                "address": "<address>",
                "profileEmail": "<emailId>",
                "desc": "<description>",
                "vertical": "<vertical>",
                "website1": "<website1>",
                "website2": "<website2>"
            },
            "status": "success"
        }
Path Params
string
required
Headers
string
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!